Sử dụng CometAPI GET /mj/task//fetch để truy xuất nhanh chóng và đáng tin cậy trạng thái của một tác vụ Midjourney nhằm giám sát và thăm dò kết quả.
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}status cho trạng thái tổng thể của tác vụprogress cho tín hiệu hoàn thành hiện tạiimageUrl hoặc videoUrl khi tài nguyên đã sẵn sàngbuttons cho các giá trị customId khả dụng tiếp theoSUCCESS, MODAL hoặc FAILUREbuttons là nguồn thông tin chuẩn cho các hành động tiếp theoimageUrl khi bạn cần lưới ảnh hoàn chỉnh hoặc kết quả upscaleSUCCESS, progress: 100%, một imageUrl và 9 nút hành động cho một tác vụ imagine FAST.Bearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}